## htp 1.13

=== Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=.
include $(TOP)/Makefile.config
SUBDIRS = src tests ref homepage examples
DISTFILES = Makefile Makefile.config

do-scrub:
	rm -f $(MAIN)-*.zip $(MAIN)-*.tar.gz

do-clean:
	rm -rf $(RELDIR)
	rm -f *~

release: all release-src release-doc release-bin
	ls -l $(MAIN)-$(VERSION)*

release-src: dist
	tar -czf $(MAIN)-$(VERSION).tar.gz $(RELDIR)
	rm -rf $(RELDIR)

release-doc:
	rm -rf $(RELDIR)
	make subdir-install-doc pkgdocdir=`pwd`/$(RELDIR)
	zip -r $(MAIN)-$(VERSION)-doc.zip $(RELDIR)
	rm -rf $(RELDIR)

release-bin:
	make -C src htp
	zip -j $(MAIN)-$(VERSION)-$(shell uname -s).zip src/htp
	make all
