=== examples/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..
include $(TOP)/Makefile.config


#
# object files used
#

HTP_DEF = htp.def section.def section.htt
HTP_SRC = beer.htp prime.htp quine.htp section.htp 

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF)

all: run-htp

do-clean:
	rm -f *~ htp.rsp *.html
