=== homepage/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..
include $(TOP)/Makefile.config


#
# object files used
#

HTP_DEF = htp.def
HTP_SRC = index.htp

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF)

all: ref run-htp 

ref:
	ln -sf ../ref .

do-scrub:
	rm -f ref

do-clean:
	rm -f *~ htp.rsp *.html

rsync:
	$(RSYNC) $(HTML) $(RSYNCDIR)
