=== ref/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..
include $(TOP)/Makefile.config


#
# object files used
#

HTP_DEF = htp.def macros.def toc.def htp.htt
HTP_SRC = alttext.htp block.htp blockdef.htp bugs.htp comment.htp \
  creating.htp def.htp default.htp expand.htp file.htp history.htp \
  if.htp img.htp inc.htp index.htp intro.htp macros.htp metatag.htp \
  opt.htp options.htp output.htp quote.htp set.htp template.htp \
  undef.htp unset.htp usage.htp use.htp while.htp wishlist.htp

IMAGES = logo.png

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF) $(IMAGES)

all: run-htp

install-doc: run-htp
	mkdir -p $(pkgdocdir)
	for i in $(HTML) $(IMAGES); do \
	$(INSTALL) $$i $(pkgdocdir); done

do-clean:
	rm -f *~ htp.rsp *.html

rsync:
	$(RSYNC) $(HTML) $(IMAGES) $(RSYNCDIR)/ref
