=== tests/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..
include $(TOP)/Makefile.config


#
# object files used
#

HTP_DEF = htp.def files.hti
HTP_SRC = macro.htp files.htp wildcard.htp

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF)

all: run-htp check

check: $(HTML)
	@for i in $(HTML); do \
	diff -q $$i $$i.exp || echo "TEST FAILED: $$i"; done

do-clean:
	rm -f *~ htp.rsp *.html
