## htp 1.15

=== homepage/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..
SUBDIRS = ref source


#
# object files used
#

HTP_DEF = htp.def
HTP_SRC = index.htp

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF)

include $(TOP)/Makefile.config

export CGIBIN

all: run-htp 

do-clean:
	rm -f *~ htp.rsp *.html

do-rsync: run-htp
	chmod a+r $(HTML) $(HTP_SRC) $(HTP_DEF)
	$(RSYNC) $(HTML) $(HTP_SRC) $(HTP_DEF) $(RSYNCDIR)/
