=== src/Makefile ===
--- 
+++ 
@@ -6,8 +6,6 @@
 #
 
 TOP=..
-include $(TOP)/Makefile.config
-
 
 #
 # object files used
@@ -21,37 +19,34 @@
   msg.h option.h os.h png.h set-proc.h snprintf.h streams.h suballoc.h \
   textfile.h use-proc.h varstore.h ver.h while-proc.h
 
-OBJ = $(SRC:%.c=%.o)
+OBJ = $(SRC:%.c=%.$(OBJEXT))
 
 DISTFILES = Makefile $(SRC) $(HEADERS) LICENSE.txt
 
-all: htp
+include $(TOP)/Makefile.config
+
+all: $(MAINEXE)
 
 .PHONY: make-version
 make-version:
 	echo '#define VER_STRING "$(FULLVERSION)"' > version.inc
 	echo '#define PROGRAM_NAME "$(MAIN)"' >> version.inc
 
-install-bin: htp
+install-bin: $(MAINEXE)
 	mkdir -p $(bindir)
-	$(INSTALL) -s htp $(bin_prefix)
-
-install-doc:
-	mkdir -p $(pkgdocdir)
-	$(INSTALL) LICENSE.txt $(pkgdocdir)
-
+	$(INSTALL) -s $(MAINEXE) $(bindir)
 
 #
 # explicit dependency: final executable
 #
-htp : make-version $(OBJ)
-	$(LINK) -o $(MAIN) $(OBJ) $(LOPT)
+$(MAINEXE) : make-version $(OBJ)
+	$(LINK) -o$@ $(OBJ) $(LOPT)
 
 #
 # implicit dependencies for source code
 #
-.c.o : 
-	$(CC) $(CCOPT) $(DEFINES) -o $*.o $<
+%.$(OBJEXT) : %.c
+	$(CC) $(CCOPT) $(DEFINES) -o$*.$(OBJEXT) $<
 
 do-clean:
-	rm -f *~ htp *.o
+	rm -f *~ $(MAINEXE) *.$(OBJEXT)
