=== tests/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..

#
# object files used
#

HTP_DEF = htp.def files.hti
HTP_SRC = macro.htp files.htp wildcard.htp comments.htp options.htp png.htp \
	expand.htp tags.htp ifelse.htp

HTML = $(HTP_SRC:%.htp=%.html)
HTP_EXP = $(HTP_SRC:%.htp=%.html.exp)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF) $(HTP_EXP)

include $(TOP)/Makefile.config

all: run-htp check

check: $(HTML)
	@for i in $(HTML); do \
	$(DIFF) $$i $$i.exp || echo "TEST FAILED: $$i"; done

do-clean:
	rm -f *~ htp.rsp *.html
