=== homepage/ref/pic/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=../../..
include $(TOP)/Makefile.config


#
# object files used
#

IMAGES = arrow.png htpicon.png logo.png manbig.png manual.png \
	 sficon.png source.png

DISTFILES = Makefile $(IMAGES)

all:

install-doc:
	mkdir -p $(pkgdocdir)/pic
	for i in $(IMAGES); do \
	$(INSTALL) $$i $(pkgdocdir)/pic; done

do-clean:
	rm -f *~

do-rsync:
	chmod a+r $(IMAGES)
	$(RSYNC) $(IMAGES) $(RSYNCDIR)/ref/pic/
