## htp 1.16

=== Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=.
SUBDIRS = src tests homepage examples
DISTFILES = Makefile Makefile.config CLARIFIED_ARTISTIC

include $(TOP)/Makefile.config

do-scrub:
	rm -f $(MAIN)-*.zip $(MAIN)-*.tar.gz

do-clean:
	rm -rf $(RELDIR)
	rm -f *~

release: all release-src release-doc release-bin
	ls -l $(MAIN)-$(VERSION)*
	@test "$(RELEASE)" == 1 || \
        echo "****** ADD RELEASE=1 TO Makefile.config *******"

release-src: dist
	tar -czf $(MAIN)-$(VERSION).tar.gz $(RELDIR)
	rm -rf $(RELDIR)
	@test "$(RELEASE)" == 1 || \
        echo "****** ADD RELEASE=1 TO Makefile.config *******"

release-doc:
	rm -rf $(RELDIR)
	$(MAKE) -C src $(MAINEXE)
	$(MAKE) install-doc pkgdocdir=`pwd`/$(RELDIR)
	zip -r $(MAIN)-$(VERSION)-doc.zip $(RELDIR)
	rm -rf $(RELDIR)

release-bin:
	$(MAKE) -C src $(MAINEXE)
	zip -j $(MAIN)-$(VERSION)-$(shell uname -s).zip src/$(MAINEXE) CLARIFIED_ARTISTIC
