=== examples/Makefile ===
--- 
+++ 
@@ -6,8 +6,6 @@
 #
 
 TOP=..
-include $(TOP)/Makefile.config
-
 
 #
 # object files used
@@ -20,6 +18,8 @@
 
 DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF)
 
+include $(TOP)/Makefile.config
+
 all: run-htp
 
 do-clean:
