=== src/Makefile ===
--- 
+++ 
@@ -27,8 +27,7 @@
 
 all: $(MAINEXE)
 
-.PHONY: make-version
-make-version:
+version.inc: $(wildcard *.[ch])
 	echo '#define VER_STRING "$(FULLVERSION)"' > version.inc
 	echo '#define PROGRAM_NAME "$(MAIN)"' >> version.inc
 
@@ -39,14 +38,16 @@
 #
 # explicit dependency: final executable
 #
-$(MAINEXE) : make-version $(OBJ)
-	$(LINK) -o$@ $(OBJ) $(LOPT)
+$(MAINEXE) : $(OBJ)
+	$(LINK) -o $@ $(OBJ) $(LOPT)
 
 #
 # implicit dependencies for source code
 #
 %.$(OBJEXT) : %.c
-	$(CC) $(CCOPT) $(DEFINES) -o$*.$(OBJEXT) $<
+	$(CC) $(CCOPT) $(DEFINES) -o $*.$(OBJEXT) $<
 
 do-clean:
 	rm -f *~ $(MAINEXE) *.$(OBJEXT)
+
+htp.o ver.o: version.inc
