=== tests/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 HTP_DEF = htp.def files.hti
 HTP_SRC = macro.htp files.htp wildcard.htp comments.htp options.htp png.htp \
-	expand.htp tags.htp ifelse.htp
+	expand.htp tags.htp ifelse.htp phptest.htp
 
 HTML = $(HTP_SRC:%.htp=%.html)
 HTP_EXP = $(HTP_SRC:%.htp=%.html.exp)
