=== homepage/ref/pic/Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 # object files used
 #
 
-IMAGES = arrow.png htpicon.png logo.png manbig.png manual.png \
-	 sficon.png source.png
+IMAGES = arrow.png download.png htpicon.png logo.png manbig.png manual.png \
+	 sficon.png source.png poweredbyhtp.png
 
 DISTFILES = Makefile $(IMAGES)
