=== debian/changelog ===
htp (1.16-4) unstable; urgency=low

  * QA upload (see O: bug #676574).
  * Set Maintainer to Debian QA Group.
  * Convert to 3.0 (quilt) source format, avoiding confusion between
    build-arch and build targets in debian/rules (closes: #666307).
  * 0003-Makefile-clean-target-fix.patch: Use rm -f to remove tests/fruits.
  * Add hardening flags, using dpkg-buildflags.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Oct 2012 16:19:38 +0100

htp (1.16-3) unstable; urgency=low

  * debian/control:
    + update Standards-Version: to 3.8.1
    + Build-Depends on quilt, update debhelper version
  * debian/compat: bump to 7
  * debian/copyright: convert to UTF-8
  * debian/doc-base.htp: use Section: Web Development
  * debian/htp.manpages: install htp.1 manpage
  * debian/rules: port to dh7 and quilt
  * debian/patches: use patches instead of hardcoding changes in htp source:
    + 0001-Fix-install-path-to-usr-not-usr-local.patch
    + 0002-Remove-unused-printf-variants.patch
    + 0003-Makefile-clean-target-fix.patch
  * debian/watch: add version watch

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Wed, 22 Apr 2009 19:31:17 -0500

htp (1.16-2) unstable; urgency=low

  * Makefile.config: Hardcode /usr as the PREFIX, it was using /usr/local
    otherwise by unknown reasons.
  * src/snprintf.c:
  * src/snprintf.h: Remove the asnprintf and asprintf functions since they were
  keeping s390 from building and are actually not used, closes: #443616.

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Sun, 21 Oct 2007 21:59:40 -0500

htp (1.16-1) unstable; urgency=low

  * New upstream release. closes: #442431
  * Make build system aware of nostrip and noopt options of DEB_BUILD_OPTIONS.
  * Fixed stripping. nostrip actually works now. closes: #437175

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Thu, 20 Sep 2007 02:33:36 -0500

htp (1.15-3) unstable; urgency=low

  * Fixed clean process, modified tests/Makefile and src/Makefile.
  * Memory problems of s390 fixed (really) modifying src/streams.c, done by Bastian Blank, closes: #332322

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Tue, 11 Oct 2005 16:54:15 -0500

htp (1.15-2) unstable; urgency=low

  * Fixed memory problems in s390

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Fri, 30 Sep 2005 10:06:31 -0500

htp (1.15-1) unstable; urgency=low

  * New maintainer, closes: #280023
  * New upstream release, closes: #236240, #193652
  * Erased unnecesary htp.manpages and added dh_installman debian/htp.1 to debian/rules
  * Modified homepage/ref/Makefile to prevent *.htp files from being included into the package.
  * Added debian/htp.examples to install the tests/ and examples/ directories.
  * Added htp's url in the package description.
  * Removed README.Debian-sources
  * Changed the download url in debian/copyright.

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Mon, 12 Sep 2005 02:01:33 -0500

htp (1.13-2) unstable; urgency=low

  * QA Group upload orphaning this package

 -- Andrew Pollock <apollock@debian.org>  Fri,  4 Mar 2005 10:19:50 +1100

htp (1.13-1) unstable; urgency=low

  * New upstream
  * New license, closes: #144984
  * Fixed HTML documentation in dhelp, closes: #150767
  
 -- Matthew Macleod <matthew.macleod@btinternet.com>  Thu, 20 Jun 2002 20:58:53 +0100

htp (1.11-3) unstable; urgency=low

  * New maintainer, closes: #142251
  * Added manpage
  * Fixed segfault when recieving unknown command-line options, closes: #125816
  * Added pointer to manpage in -? output

 -- Matthew Macleod <matthew.macleod@btinternet.com>  Fri, 14 Jun 2002 15:47:27 +0100
 

htp (1.11-2) unstable; urgency=low

  * Don't include example menu file

 -- Jonathon D Nelson <jnelson@boa.org>  Wed,  4 Apr 2001 23:21:08 -0500

htp (1.11-1) unstable; urgency=low

  * New upstream

 -- Jonathon D Nelson <jnelson@boa.org>  Tue,  3 Apr 2001 22:13:25 -0500

htp (1.10-3.1) unstable; urgency=low

  * -3 in the archive had no source upload, this should fix that.  While we're
    at it, move the clean clause out of the makefile and into the rules file
    to keep the makefile pristine upstream source, closes: #48633
  * fix /usr/doc -> /usr/share/doc issues
  * thanks to Matt Taggart <taggart@iname.com> who did the footwork for this
    NMU as part of bug-squash day

 -- Bdale Garbee <bdale@gag.com>  Sat, 20 Nov 1999 23:11:03 -0700

htp (1.10-2) unstable; urgency=low

  * Hopefully fixed description in debian/control

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 24 Jan 1999 10:03:58 -0600

htp (1.10-1) unstable; urgency=low

  * Initial Release.

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Fri, 22 Jan 1999 03:20:40 -0600

Local variables:
mode: debian-changelog
End:
