=== debian/control ===
Source: htp
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7.2.7)
Standards-Version: 3.8.1

Package: htp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://htp.sourceforge.net
Description: An HTML pre-processor
 htp is an HTML pre-processor. It is designed to be a flexible authoring tool 
 that can easily be integrated into the HTML design process. 
 .
 Documentation and examples are included.
