=== debian/rules ===
#!/usr/bin/make -f
# vim: set noet:

#export DH_VERBOSE=1

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CCOPT="-c $(CPPFLAGS) $(CFLAGS)" LOPT="$(LDFLAGS)"
