=== debian/watch ===
version=3
http://sf.net/htp/htp-(.+)\.tar\.gz
