=== debian/changelog ===
htp (1.19-8) unstable; urgency=medium

  * New maintainer. (Closes: #676574)
  * debian/control:
      - Added 'Rules-Requires-Root' field to source stanza.
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.5.0.
      - Improved long description to mention some supported file types and
        describe target users.
  * debian/copyright: updated packaging copyright years and authors.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/: created to perform trivial CI tests.
  * debian/upstream/metadata: created.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Sun, 14 Jun 2020 20:21:19 -0300

htp (1.19-7) unstable; urgency=medium

  * QA upload.
  * wrap-and-sort -sta
  * Fix whitespace errors in following files:
    + debian/changelog
    + debian/htp.1
  * Update standards version to 4.2.1 (no changes needed)
  * Update debhelper compat to 11.
    + Export PERL_USE_UNSAFE_INC in `debian/rules'. It is need for
      upstream build system. Unlike compat=10, compat=11 does not set
      this variable.
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update Vcs-* fields in `debian/control'
  * Use secure url in `debian/copyright' format field

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 02 Dec 2018 23:47:57 +0000

htp (1.19-6) unstable; urgency=medium

  * QA upload.
  * Fix occasional parallel FTBFS.

 -- Adrian Bunk <bunk@debian.org>  Wed, 31 Jan 2018 11:52:19 +0200

htp (1.19-5) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 17:16:29 +0300

htp (1.19-4) experimental; urgency=low

  * QA upload.
  * debian/copyright:
      - Added Upstream-Contact field.
      - Updated packaging copyright years and authors.
      - Updated upstream's copyright info: added missing author's emails.
  * debian/htp.doc-base: renamed to doc-base.
  * debian/htp.examples:
      - Removed tests/ because it is not useful to users.
      - Renamed to examples.
  * debian/htp.manpages: renamed to manpages.
  * debian/lintian-overrides: created to override two false positives.
  * debian/rules:
      - Removed obsolete variables.
      - Updated hardening variable.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Sat, 11 Mar 2017 19:08:59 -0300

htp (1.19-3) experimental; urgency=low

  * QA upload.
  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Removed article at beginning of synopsis.
  * debian/copyright:
      - Removed '(C)' characters from copyright fields.
      - Updated packaging copyright years.
      - Updated Source URL.
  * debian/htp.doc-base: renamed from debian/doc-base.htp.
  * debian/patches:
      - Added header to 0003-Replace-sflogo-link-with-text.patch.
  * debian/rules:
      - Added hardening variables.
      - Removed vim comment.
  * debian/watch:
      - Bumped to version 4.
      - Improved search line.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Sun, 19 Feb 2017 17:39:13 +0000

htp (1.19-2) unstable; urgency=medium

  * QA Upload.
  [ Chris Lamb ]
  * debian/rules: Add "export TZ=UTC". Closes: #795562.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2015 18:45:28 +0200

htp (1.19-1) unstable; urgency=medium

  * QA Upload
  * New upstream version
  * Patches refreshed:
    - 0001-Fix-install-path-to-usr-not-usr-local.patch
    - 0002-Remove-unused-printf-variants.patch
  * Removed redundant patch:
    - 0003-Makefile-clean-target-fix.patch
  * Created new patch 0003-Replace-sflogo-link-with-text.patch to replace
    a link to the SourceForge logo with text instead to fix privacy issues.

 -- Iain R. Learmonth <irl@fsfe.org>  Sat, 15 Aug 2015 14:38:47 +0100

htp (1.16-5) unstable; urgency=medium

  * QA upload
  * debian/control:
    - Bumped standards version to 3.9.6
    - Switch to debhelper >= 9
    - Remove redundant Build-Depends on dpkg-dev
    - Moved homepage to source package section
  * debian/compat:
    - Bumped compat level to 9
  * Removed redundant debian/dirs file
  * debian/copyright:
    - Converted to DEP-5 format
    - Fixed license information (Closes: #717506)

 -- Iain R. Learmonth <irl@fsfe.org>  Thu, 13 Aug 2015 14:01:58 +0100
