=== debian/control ===
Source: htp
Maintainer: Marcelo Soares Mota <motasmarcelo@gmail.com>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://htp.sourceforge.net
Vcs-Browser: https://salsa.debian.org/debian/htp
Vcs-Git: https://salsa.debian.org/debian/htp.git

Package: htp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: nice HTML pre-processor
 htp is an HTML pre-processor. It is designed to be a flexible authoring tool
 that can easily be integrated into the HTML design process.
 .
 It is able to preprocess HTML, XHTML, XML and CSS files (it could handle
 any text based files). Its purpose is to assist on maintaining a consistent
 look over an entire set of web pages. This is done by allowing someone to
 define their own tags as abbreviations for sets of standard HTML tags.
 .
 Those looking for a tool that allows handling HTML files with any text
 editor, not graphical based editors only, will find htp very helpful since
 it runs from the command-line to build the final HTML code that goes on the
 HTTP server.
 .
 Documentation and examples are included.
