=== debian/rules ===
#!/usr/bin/make -f

export TZ=UTC
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PERL_USE_UNSAFE_INC = 1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CCOPT="-c $(CPPFLAGS) $(CFLAGS)" LOPT="$(LDFLAGS)"
