=== debian/tests/control ===
Test-Command: htp | grep -i usage
Restrictions: superficial

Test-Command: cp examples/* $AUTOPKGTEST_TMP/;
              cp debian/tests/files/* $AUTOPKGTEST_TMP/; cd $AUTOPKGTEST_TMP/;
              for i in beer prime quine section; do htp $i.htp $i.html1; done;
              diff -q quine.html quine.html1 && echo Test-OK
